Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Scale Cluster

Create a scaling operation record. The skap-scaling controller picks it up and executes.

Only one scaling operation can run at a time per service. Requires a BYOC service.

POST/cluster/scale
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
directionScaleDirectionrequired
Allowed:updown
Responses
200

Successful Response

operation_idstringrequired
statusScaleOperationStatusrequired
Allowed:pendingin_progresscompletedfailedcancelled
messagestring | any
Show properties
Any of:
string
string
any
any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/cluster/scale" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "direction": "up"
}'
Response
{
  "operation_id": "string",
  "status": "pending",
  "message": "string"
}